// OBoard.h: interface for the OBoard class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OBOARD_H__B7CDDB41_F092_11D4_B54A_E0FD17D6024E__INCLUDED_)
#define AFX_OBOARD_H__B7CDDB41_F092_11D4_B54A_E0FD17D6024E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "include\all.h"

class OBoard  
{
private:
	nPos Board [64];
	bool MovesPossible [64] ;
	bool bSoundEnabled;
	nPos moveSequence [50];
	CString sDump;
	int nMovesPossible;
		
public:
	bool* getListofPossibleMoves();
	int MarkPossibleMoves (nID who);
	CString * getDumpString ();
	bool isFilled ();
	int nPieces (nID);
	int nLegalMoves (nID who);
	bool isLegal (nID who, nMoveLocation m);
	nPos* getMoveSequence ();
	void playmove (nID ID, nMoveLocation location);
	nPos* getBoard ();
	void Reset ();
	OBoard();
	virtual ~OBoard();

};

#endif // !defined(AFX_OBOARD_H__B7CDDB41_F092_11D4_B54A_E0FD17D6024E__INCLUDED_)
