// Othello1.h: interface for the COthello class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OTHELLO1_H__A78257A2_F14D_11D4_B54A_D30226F80D4E__INCLUDED_)
#define AFX_OTHELLO1_H__A78257A2_F14D_11D4_B54A_D30226F80D4E__INCLUDED_

#include "Player.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "include\all.h"
class COthello  
{
	nPos* moveSequence;
	bool bBusy;
	nPos nLastMoveLocation;

public:
	nScore getCurrentScore ();
	const char* getPlayerName(nID who);
	int nPieces(nID who);
	nPos getLastMove ();
	long getNodesEvaluated ();
	long getElapsedTime ();
	bool* getListofPossibleMoves ();
	nPos * getBoard ();
	void resetGame();
	const char* getPlayerName ();
	nID switchPlayer ();
	void playMove (nMoveLocation m);
	int nLegalMoves (nID);
	nMoveLocation getComputerMove ();
	nID GetCurrentPlayer ();
	void MarkPossibleMoves ();
	bool isBusy ();
	int GetResult ();
	ePlayerType getCurrentPlayerType();
	COthello();
	void Set(CString, ePlayerType pType1, int nSD1, int nEGMT1, CString, ePlayerType pType2, int nSD2, int nEGMT2);
	nPos* getLastMoveSequence ();
	bool tryMove (nMoveLocation);
	bool Play (nMoveLocation move);
	CPlayer player[3];
	OBoard Board;

	virtual ~COthello();

private:
	nID CurrentPlayer;
};

#endif // !defined(AFX_OTHELLO1_H__A78257A2_F14D_11D4_B54A_D30226F80D4E__INCLUDED_)
