// Player.h: interface for the CPlayer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLAYER_H__3CCAB7E1_F16B_11D4_B54A_8F874F0D0C4E__INCLUDED_)
#define AFX_PLAYER_H__3CCAB7E1_F16B_11D4_B54A_8F874F0D0C4E__INCLUDED_

#include "INCLUDE\all.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TheBRAIN10.H"
#include "oboard.h"

class CPlayer  
{
private:
	nID ID;
	CString sName;
	ePlayerType player;
	TheBrain10* Brain;
	long tElapsed;
	int nSearchDepth;
	int nEndGameSearch;
	

public:
	nScore getCurrentScore();
	long nNodesEvaluated;
	long getNodesEvaluated ();
	CPlayer (ePlayerType type, int nSD, int nEGMT);
	
	nMoveLocation getComputerMove (OBoard& Board);

	void Die ();
	CString getName ();
	long getElapsedTime ();
	CPlayer();
	virtual ~CPlayer();
	void Set(ePlayerType type, int nSD, int nEGMT, nID playerA=1, nID playerB=-1, nID playerEmpty = 0);
	void setName(CString str);
	ePlayerType getPlayerType ();
	
	
	

};

#endif // !defined(AFX_PLAYER_H__3CCAB7E1_F16B_11D4_B54A_8F874F0D0C4E__INCLUDED_)
